<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class TenantPaymentMethod extends Model
{
    protected $connection = 'tenant';

    protected $fillable = [
        'tenant_id',
        'applicant_id',
        'email',
        'token',
        'card_last4',
        'card_brand',
        'card_exp',
        'is_active',
    ];

    public function tenant()
    {
        return $this->belongsTo(Tenant::class);
    }

    public function applicant()
    {
        return $this->belongsTo(Applicant::class);
    }
}
